API viideRuns
List runs
Lists recent runs for the authenticated team.
Lists recent runs for the authenticated team.
Authorization
bearerAuth AuthorizationBearer <token>
Send Authorization: Bearer . The token can be an Autonomy organization API key (aut_xxx) or an OAuth access token.
In: header
Query Parameters
limit?integer
Maximum number of records to return.
Default
20Range
1 <= value <= 100offset?integer
Number of records to skip.
Default
0Range
0 <= valuestatus?string
Filter runs by status.
Value in
"queued" | "running" | "retrying" | "passing" | "failed"Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/runs"[
{
"_id": "string",
"testPlanId": "string",
"status": "queued",
"platforms": [
"web"
],
"trigger": {},
"logs": [
{
"stepIndex": 0,
"action": "string",
"target": "string",
"status": "string",
"platform": "web",
"error": "string",
"durationMs": 0,
"timestamp": 0
}
]
}
]{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Trigger a test run POST
Queues a run for a saved test plan. Web runs can use a saved environment or explicit web target. API and mobile runs require either environmentSlug or explicit targets. Requires the autonomy:runs:write API key scope.
Get a run GET
Returns a run with agent logs for the authenticated team.